> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all documents

> Retrieves a list of all visible documents in the system.

## Get all documents

Retrieves a list of all visible documents in the system.

### Query Parameters

<ParamField query name="folder_id" type="string" optional>
  The ID of the folder to filter documents by.
</ParamField>

<ParamField query name="tag_name" type="string" optional>
  The name of the tag to filter documents by.
</ParamField>

<ParamField query name="owner_id" type="string" optional>
  The ID of the owner to filter documents by.
</ParamField>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  [
    {
      "id": 123,
      "name": "string",
      "folder_id": {},
      "file_path": {},
      "file_type": "string",
      "file_url": {},
      "summary": "string",
      "visibility": "string",
      "version": 123,
      "owner_id": 123,
      "created_at": "string",
      "updated_at": "string",
      "tags": [
        "string"
      ]
    }
  ]
  ```
</ResponseExample>
